package com.zzsn.entity;



import java.io.Serializable;

/**
 *
 *
 */

public class Site implements Serializable {
  private static final long serialVersionUID = 1L;


  public String id; //`ID` varchar(9) NOT NULL,
  public String rid; //`RID` varchar(9) DEFAULT NULL,
  public String name; //`NAME` varchar(2000) DEFAULT NULL,
  public String uri; //`URI` varchar(500) DEFAULT NULL,
  public String category; //`CATEGORY` varchar(10) DEFAULT NULL,
  public String leve; //`LEVE` varchar(10) DEFAULT NULL,
  public String lang; //`LANG` varchar(10) DEFAULT NULL,
  public String collect; //`COLLECT` varchar(17) DEFAULT NULL,
  public String template; //`TEMPLATE` varchar(2048) DEFAULT NULL,
//  public String match; //`MATCH` varchar(1000) DEFAULT NULL,
  public String rule; //`RULE` varchar(30) DEFAULT NULL,
  public String scan; //`SCAN` varchar(30) DEFAULT NULL,
  public String status; //`STATUS` varchar(30) DEFAULT NULL,
  public String type; //`TYPE` varchar(10) DEFAULT NULL,
  public String createBy; //`CREATE_BY` varchar(50) DEFAULT NULL,
  public String createDate; //`CREATE_DATE` varchar(50) DEFAULT NULL,
  public String depth; //`DEPTH` varchar(3) DEFAULT NULL,
  public String orgId; //`ORG_ID` varchar(20) DEFAULT NULL,
  public String isLogin; //`IS_LOGIN` varchar(10) DEFAULT NULL,
  public String startTime; //`START_TIME` varchar(60) DEFAULT NULL,
  public String loginUrl; //`LOGIN_URL` varchar(500) DEFAULT NULL,
  public String loginName; //`LOGIN_NAME` varchar(50) DEFAULT NULL,
  public String loginNameAttr; //`LOGIN_NAME_ATTR` varchar(50) DEFAULT NULL,
  public String loginPwd; //`LOGIN_PWD` varchar(50) DEFAULT NULL,
  public String loginPwdAttr; //`LOGIN_PWD_ATTR` varchar(50) DEFAULT NULL,
  public String loginDomain; //`LOGIN_DOMAIN` varchar(500) DEFAULT NULL,
  public String hisUriExp; //`HIS_URI_EXP` varchar(500) DEFAULT NULL,
  public String hisDatePoint; //`HIS_DATE_POINT` varchar(50) DEFAULT NULL,
  public String hisCrawlState; //`HIS_CRAWL_STATE` varchar(9) DEFAULT NULL,
  public String hisCrawlRemark; //`HIS_CRAWL_REMARK` varchar(500) DEFAULT NULL,
  public String scopetags; //`SCOPETAGS` varchar(500) DEFAULT NULL,
  public String matchTitle; //`MATCH_TITLE` varchar(256) DEFAULT NULL,
  public String matchPublishDate; //`MATCH_PUBLISH_DATE` varchar(256) DEFAULT NULL,
  public String matchSummary; //`MATCH_SUMMARY` varchar(20) DEFAULT NULL,
  public String matchAuthor; //`MATCH_AUTHOR` varchar(256) DEFAULT NULL,
  public String matchOrigin; //`MATCH_ORIGIN` varchar(256) DEFAULT NULL,
  public String matchKeywords; //`MATCH_KEYWORDS` varchar(2000) DEFAULT NULL,
  public String matchContent; //`MATCH_CONTENT` varchar(1024) DEFAULT NULL,
  public String tid; //`TID` varchar(20) DEFAULT NULL,
  public String verifystatus; //`VERIFYSTATUS` varchar(256) DEFAULT NULL,
  public String domainUri; //`DOMAIN_URI` varchar(500) DEFAULT NULL,
  public String isForeign; //`IS_FOREIGN` varchar(10) DEFAULT NULL,
  public String onetime; //`ONETIME` varchar(9) DEFAULT NULL,
  public String isnw; //`ISNW` varchar(20) DEFAULT NULL,
  public String locale; //`LOCALE` varchar(60) DEFAULT NULL,
  public String allmatch; //`ALLMATCH` varchar(1024) DEFAULT NULL,
  public String iframeid; //`IFRAMEID` varchar(60) DEFAULT NULL
  
  

public Site() {
	super();
}

public Site(String id, String rid, String name, String uri, String category, String leve, String lang, String collect,
		String template, String rule, String scan, String status, String type, String createBy, String createDate,
		String depth, String orgId, String isLogin, String startTime, String loginUrl, String loginName,
		String loginNameAttr, String loginPwd, String loginPwdAttr, String loginDomain, String hisUriExp,
		String hisDatePoint, String hisCrawlState, String hisCrawlRemark, String scopetags, String matchTitle,
		String matchPublishDate, String matchSummary, String matchAuthor, String matchOrigin, String matchKeywords,
		String matchContent, String tid, String verifystatus, String domainUri, String isForeign, String onetime,
		String isnw, String locale, String allmatch, String iframeid) {
	super();
	this.id = id;
	this.rid = rid;
	this.name = name;
	this.uri = uri;
	this.category = category;
	this.leve = leve;
	this.lang = lang;
	this.collect = collect;
	this.template = template;
	this.rule = rule;
	this.scan = scan;
	this.status = status;
	this.type = type;
	this.createBy = createBy;
	this.createDate = createDate;
	this.depth = depth;
	this.orgId = orgId;
	this.isLogin = isLogin;
	this.startTime = startTime;
	this.loginUrl = loginUrl;
	this.loginName = loginName;
	this.loginNameAttr = loginNameAttr;
	this.loginPwd = loginPwd;
	this.loginPwdAttr = loginPwdAttr;
	this.loginDomain = loginDomain;
	this.hisUriExp = hisUriExp;
	this.hisDatePoint = hisDatePoint;
	this.hisCrawlState = hisCrawlState;
	this.hisCrawlRemark = hisCrawlRemark;
	this.scopetags = scopetags;
	this.matchTitle = matchTitle;
	this.matchPublishDate = matchPublishDate;
	this.matchSummary = matchSummary;
	this.matchAuthor = matchAuthor;
	this.matchOrigin = matchOrigin;
	this.matchKeywords = matchKeywords;
	this.matchContent = matchContent;
	this.tid = tid;
	this.verifystatus = verifystatus;
	this.domainUri = domainUri;
	this.isForeign = isForeign;
	this.onetime = onetime;
	this.isnw = isnw;
	this.locale = locale;
	this.allmatch = allmatch;
	this.iframeid = iframeid;
}

public String getId() {
	return id;
}
public void setId(String id) {
	this.id = id;
}
public String getRid() {
	return rid;
}
public void setRid(String rid) {
	this.rid = rid;
}
public String getName() {
	return name;
}
public void setName(String name) {
	this.name = name;
}
public String getUri() {
	return uri;
}
public void setUri(String uri) {
	this.uri = uri;
}
public String getCategory() {
	return category;
}
public void setCategory(String category) {
	this.category = category;
}
public String getLeve() {
	return leve;
}
public void setLeve(String leve) {
	this.leve = leve;
}
public String getLang() {
	return lang;
}
public void setLang(String lang) {
	this.lang = lang;
}
public String getCollect() {
	return collect;
}
public void setCollect(String collect) {
	this.collect = collect;
}
public String getTemplate() {
	return template;
}
public void setTemplate(String template) {
	this.template = template;
}
public String getRule() {
	return rule;
}
public void setRule(String rule) {
	this.rule = rule;
}
public String getScan() {
	return scan;
}
public void setScan(String scan) {
	this.scan = scan;
}
public String getStatus() {
	return status;
}
public void setStatus(String status) {
	this.status = status;
}
public String getType() {
	return type;
}
public void setType(String type) {
	this.type = type;
}
public String getCreateBy() {
	return createBy;
}
public void setCreateBy(String createBy) {
	this.createBy = createBy;
}
public String getCreateDate() {
	return createDate;
}
public void setCreateDate(String createDate) {
	this.createDate = createDate;
}
public String getDepth() {
	return depth;
}
public void setDepth(String depth) {
	this.depth = depth;
}
public String getOrgId() {
	return orgId;
}
public void setOrgId(String orgId) {
	this.orgId = orgId;
}
public String getIsLogin() {
	return isLogin;
}
public void setIsLogin(String isLogin) {
	this.isLogin = isLogin;
}
public String getStartTime() {
	return startTime;
}
public void setStartTime(String startTime) {
	this.startTime = startTime;
}
public String getLoginUrl() {
	return loginUrl;
}
public void setLoginUrl(String loginUrl) {
	this.loginUrl = loginUrl;
}
public String getLoginName() {
	return loginName;
}
public void setLoginName(String loginName) {
	this.loginName = loginName;
}
public String getLoginNameAttr() {
	return loginNameAttr;
}
public void setLoginNameAttr(String loginNameAttr) {
	this.loginNameAttr = loginNameAttr;
}
public String getLoginPwd() {
	return loginPwd;
}
public void setLoginPwd(String loginPwd) {
	this.loginPwd = loginPwd;
}
public String getLoginPwdAttr() {
	return loginPwdAttr;
}
public void setLoginPwdAttr(String loginPwdAttr) {
	this.loginPwdAttr = loginPwdAttr;
}
public String getLoginDomain() {
	return loginDomain;
}
public void setLoginDomain(String loginDomain) {
	this.loginDomain = loginDomain;
}
public String getHisUriExp() {
	return hisUriExp;
}
public void setHisUriExp(String hisUriExp) {
	this.hisUriExp = hisUriExp;
}
public String getHisDatePoint() {
	return hisDatePoint;
}
public void setHisDatePoint(String hisDatePoint) {
	this.hisDatePoint = hisDatePoint;
}
public String getHisCrawlState() {
	return hisCrawlState;
}
public void setHisCrawlState(String hisCrawlState) {
	this.hisCrawlState = hisCrawlState;
}
public String getHisCrawlRemark() {
	return hisCrawlRemark;
}
public void setHisCrawlRemark(String hisCrawlRemark) {
	this.hisCrawlRemark = hisCrawlRemark;
}
public String getScopetags() {
	return scopetags;
}
public void setScopetags(String scopetags) {
	this.scopetags = scopetags;
}
public String getMatchTitle() {
	return matchTitle;
}
public void setMatchTitle(String matchTitle) {
	this.matchTitle = matchTitle;
}
public String getMatchPublishDate() {
	return matchPublishDate;
}
public void setMatchPublishDate(String matchPublishDate) {
	this.matchPublishDate = matchPublishDate;
}
public String getMatchSummary() {
	return matchSummary;
}
public void setMatchSummary(String matchSummary) {
	this.matchSummary = matchSummary;
}
public String getMatchAuthor() {
	return matchAuthor;
}
public void setMatchAuthor(String matchAuthor) {
	this.matchAuthor = matchAuthor;
}
public String getMatchOrigin() {
	return matchOrigin;
}
public void setMatchOrigin(String matchOrigin) {
	this.matchOrigin = matchOrigin;
}
public String getMatchKeywords() {
	return matchKeywords;
}
public void setMatchKeywords(String matchKeywords) {
	this.matchKeywords = matchKeywords;
}
public String getMatchContent() {
	return matchContent;
}
public void setMatchContent(String matchContent) {
	this.matchContent = matchContent;
}
public String getTid() {
	return tid;
}
public void setTid(String tid) {
	this.tid = tid;
}
public String getVerifystatus() {
	return verifystatus;
}
public void setVerifystatus(String verifystatus) {
	this.verifystatus = verifystatus;
}
public String getDomainUri() {
	return domainUri;
}
public void setDomainUri(String domainUri) {
	this.domainUri = domainUri;
}
public String getIsForeign() {
	return isForeign;
}
public void setIsForeign(String isForeign) {
	this.isForeign = isForeign;
}
public String getOnetime() {
	return onetime;
}
public void setOnetime(String onetime) {
	this.onetime = onetime;
}
public String getIsnw() {
	return isnw;
}
public void setIsnw(String isnw) {
	this.isnw = isnw;
}
public String getLocale() {
	return locale;
}
public void setLocale(String locale) {
	this.locale = locale;
}
public String getAllmatch() {
	return allmatch;
}
public void setAllmatch(String allmatch) {
	this.allmatch = allmatch;
}
public String getIframeid() {
	return iframeid;
}
public void setIframeid(String iframeid) {
	this.iframeid = iframeid;
}
  
  
  

}
